---
title: GET /tasks/{task_id}/structured-contents
slug: content-marketing-platform/api/get-taskstaskidstructured-contents
createdAt: 2026-11-18T09:47:32.720Z
---

{
  "id": "Mii9NGKGhQnlMk9I-0mv7",
  "type": "api-oas-v2",
  "data": {
    "method": "GET",
    "url": "https://api.cmp.optimizely.com/v3/tasks/{task_id}/structured-contents",
    "servers": [
      {
        "url": "https://api.cmp.optimizely.com/v3/tasks/{task_id}/structured-contents",
        "description": "v3 version of Optimizely CMP Open API"
      }
    ],
    "name": "GET /tasks/{task_id}/structured-contents",
    "description": "<p><code>Experimental</code></p>\n<p>Get the structured contents of a task, including their latest field values, in one call. Each item has the same shape as <a href=\"#operation/getTaskStructuredContent\" target=\"_blank\">GET /tasks/{task_id}/structured-contents/{content_id}</a>.</p>",
    "contentType": "application/json",
    "request": {
      "pathParameters": [
        {
          "kind": "required",
          "name": "task_id",
          "type": "string",
          "example": "5f857f30e1c4a2038d6179e9",
          "description": "Unique identifier of the task"
        }
      ],
      "headerParameters": [
        {
          "name": "accept",
          "type": "string",
          "kind": "optional",
          "description": "Generated from available response content types",
          "enum": [
            "application/json"
          ],
          "default": "application/json"
        }
      ],
      "queryParameters": [
        {
          "kind": "optional",
          "name": "offset",
          "type": "integer",
          "example": 5,
          "description": "<p>Starting index of results (zero indexed)</p>",
          "default": 0,
          "minimum": 0
        },
        {
          "kind": "optional",
          "name": "page_size",
          "type": "integer",
          "example": 10,
          "description": "<p>Number of results to return per page, up to a maximum of 20</p>",
          "default": 10,
          "minimum": 1,
          "maximum": 20
        },
        {
          "kind": "optional",
          "name": "expanded",
          "type": "boolean",
          "description": "<p>When <code>true</code>, each item includes its <code>content_type</code>, and contents referenced through reference fields are expanded in <code>latest_fields_version.fields</code>, as in <a href=\"#operation/getTaskStructuredContent\" target=\"_blank\">GET /tasks/{task_id}/structured-contents/{content_id}</a>. When <code>false</code> (the default), <code>content_type</code> is <code>null</code> and reference fields contain only the referenced content identifiers.</p>",
          "default": false
        }
      ],
      "bodyDataParameters": [],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "OAuth2",
          "name": "OAuth2",
          "kind": "optional",
          "type": "oauth2",
          "oauth2Flows": {
            "clientCredentials": {
              "tokenUrl": "https://accounts.cmp.optimizely.com/o/oauth2/v1/token",
              "scopes": {}
            },
            "authorizationCode": {
              "authorizationUrl": "https://accounts.cmp.optimizely.com/o/oauth2/v1/auth",
              "tokenUrl": "https://accounts.cmp.optimizely.com/o/oauth2/v1/token",
              "scopes": {
                "openid": "Grants the ability to receive a unique identifier for the user.",
                "profile": "Grants access to user profile information.",
                "offline_access": "Grants the ability to refresh access_token using the refresh token even when user is not present (not logged in)."
              }
            }
          },
          "requiredScopes": [
            "openid",
            "profile",
            "offline_access"
          ]
        }
      ],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "List of structured contents of the task",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "schema": [
              {
                "name": "data",
                "kind": "required",
                "type": "array",
                "description": "List of structured contents",
                "modelRef": "#/components/schemas/TaskStructuredContentResponse",
                "customType": "TaskStructuredContentResponse[]",
                "schema": [
                  {
                    "name": "title",
                    "kind": "required",
                    "type": "string",
                    "description": "Title of the content"
                  },
                  {
                    "name": "primary_locale",
                    "kind": "optional",
                    "type": "string",
                    "nullable": true,
                    "description": "The primary locale of the content",
                    "example": "en_US"
                  },
                  {
                    "name": "expired",
                    "kind": "optional",
                    "type": "boolean",
                    "nullable": true,
                    "description": "Expired status of the content"
                  },
                  {
                    "name": "source",
                    "kind": "optional",
                    "type": "string",
                    "nullable": true,
                    "description": "Source of the content"
                  },
                  {
                    "name": "root_content",
                    "kind": "required",
                    "type": "boolean",
                    "description": "This is true when the content is not embedded in another content through a content type reference field"
                  },
                  {
                    "name": "expiry_datetime",
                    "kind": "optional",
                    "type": "string<date-time>",
                    "nullable": true,
                    "description": "<p>Date and time on which the content will expire, in ISO 8601 UTC format</p>",
                    "format": "date-time"
                  },
                  {
                    "name": "source_id",
                    "kind": "optional",
                    "type": "string",
                    "nullable": true,
                    "description": "Source ID of the content"
                  },
                  {
                    "name": "source_metadata",
                    "kind": "optional",
                    "type": "string",
                    "nullable": true,
                    "description": "Source metadata of the content"
                  },
                  {
                    "name": "latest_fields_version",
                    "kind": "required",
                    "type": "object",
                    "description": "",
                    "modelRef": "#/components/schemas/ContentFieldsVersionDetails",
                    "customType": "ContentFieldsVersionDetails",
                    "schema": [
                      {
                        "name": "fields",
                        "kind": "required",
                        "type": "map",
                        "description": "List of fields",
                        "example": "",
                        "customType": "map<string, LocalizedFieldValues[]>",
                        "schema": []
                      },
                      {
                        "name": "validation",
                        "kind": "optional",
                        "type": "object",
                        "nullable": true,
                        "description": "",
                        "complexType": "allOf",
                        "complexItems": [
                          {
                            "name": "ContentFieldsVersionValidation",
                            "description": "",
                            "modelRef": "#/components/schemas/ContentFieldsVersionValidation",
                            "schema": [
                              {
                                "name": "fields",
                                "kind": "optional",
                                "type": "map",
                                "nullable": true,
                                "description": "Validation for the fields",
                                "example": "",
                                "customType": "map<string, object>",
                                "schema": []
                              }
                            ]
                          }
                        ],
                        "schema": []
                      },
                      {
                        "name": "created_by",
                        "kind": "required",
                        "type": "string",
                        "description": "Unique identifier of the user who created the version"
                      },
                      {
                        "name": "source_id",
                        "kind": "optional",
                        "type": "string",
                        "nullable": true,
                        "description": "Source ID of the version"
                      },
                      {
                        "name": "source_metadata",
                        "kind": "optional",
                        "type": "string",
                        "nullable": true,
                        "description": "Source metadata of the version"
                      },
                      {
                        "name": "created_at",
                        "kind": "required",
                        "type": "string<date-time>",
                        "description": "<p>Date and time on which the version was created, in ISO 8601 UTC format</p>",
                        "format": "date-time"
                      },
                      {
                        "name": "version_guid",
                        "kind": "required",
                        "type": "string",
                        "description": "Unique identifier of the version"
                      },
                      {
                        "name": "content_hash",
                        "kind": "required",
                        "type": "string",
                        "description": "Content hash of the version"
                      }
                    ]
                  },
                  {
                    "name": "content_guid",
                    "kind": "required",
                    "type": "string",
                    "description": "Unique identifier of the content"
                  },
                  {
                    "name": "created_by",
                    "kind": "required",
                    "type": "string",
                    "description": "Unique identifier of the user who created the content"
                  },
                  {
                    "name": "updated_by",
                    "kind": "required",
                    "type": "string",
                    "description": "Unique identifier of the user who last updated the content"
                  },
                  {
                    "name": "created_at",
                    "kind": "required",
                    "type": "string<date-time>",
                    "description": "<p>Date and time on which the content was created, in ISO 8601 UTC format</p>",
                    "format": "date-time"
                  },
                  {
                    "name": "updated_at",
                    "kind": "required",
                    "type": "string<date-time>",
                    "description": "<p>Date and time on which the content was last updated, in ISO 8601 UTC format</p>",
                    "format": "date-time"
                  },
                  {
                    "name": "content_type_guid",
                    "kind": "required",
                    "type": "string",
                    "description": "Unique identifier of the content type"
                  },
                  {
                    "name": "content_type_name",
                    "kind": "required",
                    "type": "string",
                    "description": "Name of the content type"
                  },
                  {
                    "name": "content_type",
                    "kind": "optional",
                    "type": "object",
                    "nullable": true,
                    "description": "<p>Definition of the content type this content is based on. It is <code>null</code> in the response to <a href=\"#operation/addStructuredContentToTask\" target=\"_blank\">POST /tasks/{task_id}/structured-contents</a>, and when the content is listed through <a href=\"#operation/listTaskStructuredContents\">GET /tasks/{task_id}/structured-contents</a> with <code>expanded=false</code>.</p>",
                    "complexType": "allOf",
                    "complexItems": [
                      {
                        "name": "VersionedContentTypeModel",
                        "description": "",
                        "modelRef": "#/components/schemas/VersionedContentTypeModel",
                        "schema": [
                          {
                            "name": "name",
                            "kind": "required",
                            "type": "string",
                            "description": "Name of the content type"
                          },
                          {
                            "name": "description",
                            "kind": "optional",
                            "type": "string",
                            "description": "Description of the content type"
                          },
                          {
                            "name": "component",
                            "kind": "required",
                            "type": "boolean",
                            "description": "Indicates whether the content type is a component"
                          },
                          {
                            "name": "disabled",
                            "kind": "optional",
                            "type": "boolean",
                            "description": "Disabled status of the content type"
                          },
                          {
                            "name": "source",
                            "kind": "optional",
                            "type": "string",
                            "description": "Source of the content type"
                          },
                          {
                            "name": "version",
                            "kind": "required",
                            "type": "object",
                            "description": "",
                            "modelRef": "#/components/schemas/SCContentTypeVersion",
                            "customType": "SCContentTypeVersion",
                            "complexType": "allOf",
                            "complexItems": [
                              {
                                "name": "BaseContentTypeVersionModel",
                                "description": "",
                                "modelRef": "#/components/schemas/BaseContentTypeVersionModel",
                                "schema": [
                                  {
                                    "name": "latest",
                                    "kind": "required",
                                    "type": "boolean",
                                    "description": "Indicates whether the version is the latest"
                                  },
                                  {
                                    "name": "version_guid",
                                    "kind": "required",
                                    "type": "string",
                                    "description": "Unique identifier of the version"
                                  },
                                  {
                                    "name": "created_by",
                                    "kind": "required",
                                    "type": "string",
                                    "description": "Unique identifier of the user who created the version"
                                  },
                                  {
                                    "name": "created_at",
                                    "kind": "required",
                                    "type": "string<date-time>",
                                    "description": "<p>Date and time on which the version was created, in ISO 8601 UTC format</p>",
                                    "format": "date-time"
                                  },
                                  {
                                    "name": "expected_locales",
                                    "kind": "required",
                                    "type": "array",
                                    "description": "Expected locales of the version",
                                    "example": "",
                                    "itemType": "string",
                                    "customType": "string[]",
                                    "itemExample": "",
                                    "itemDefault": ""
                                  },
                                  {
                                    "name": "links",
                                    "kind": "required",
                                    "type": "object",
                                    "description": "Meta links",
                                    "example": "",
                                    "schema": [
                                      {
                                        "name": "self",
                                        "kind": "optional",
                                        "type": "string",
                                        "description": "URL of the content type version",
                                        "example": "https://api.cmp.optimizely.com/v3/structured-content/content-types/555876bf63e94ea4b3ec4da318736414/versions/31a6d15b09c54a04935203eb958ae058"
                                      },
                                      {
                                        "name": "content_type",
                                        "kind": "optional",
                                        "type": "string",
                                        "description": "URL of the content type",
                                        "example": "https://api.cmp.optimizely.com/v3/structured-content/content-types/555876bf63e94ea4b3ec4da318736414"
                                      }
                                    ]
                                  }
                                ]
                              },
                              {
                                "name": "object",
                                "description": "",
                                "schema": [
                                  {
                                    "name": "field_definitions",
                                    "kind": "required",
                                    "type": "array",
                                    "description": "",
                                    "modelRef": "#/components/schemas/NumberFieldDefinition",
                                    "customType": "NumberFieldDefinition[]",
                                    "schema": [
                                      {
                                        "name": "core",
                                        "kind": "required",
                                        "type": "object",
                                        "description": "",
                                        "modelRef": "#/components/schemas/CoreFieldDef",
                                        "customType": "CoreFieldDef",
                                        "schema": [
                                          {
                                            "name": "key",
                                            "kind": "required",
                                            "type": "string",
                                            "description": "Key of the field"
                                          },
                                          {
                                            "name": "name",
                                            "kind": "required",
                                            "type": "string",
                                            "description": "Name of the field"
                                          },
                                          {
                                            "name": "is_list",
                                            "kind": "required",
                                            "type": "boolean",
                                            "description": "Indicates whether the field is a list"
                                          },
                                          {
                                            "name": "is_required",
                                            "kind": "required",
                                            "type": "boolean",
                                            "description": "Required status of the field"
                                          },
                                          {
                                            "name": "need_internationalization",
                                            "kind": "required",
                                            "type": "boolean",
                                            "description": "Indicates whether the field needs internationalization"
                                          },
                                          {
                                            "name": "min_list_length",
                                            "kind": "optional",
                                            "type": "integer",
                                            "description": "Minimum length of the list"
                                          },
                                          {
                                            "name": "max_list_length",
                                            "kind": "optional",
                                            "type": "integer",
                                            "description": "Maximum length of the list"
                                          },
                                          {
                                            "name": "field_type",
                                            "kind": "optional",
                                            "type": "string",
                                            "description": "An enumeration.",
                                            "modelRef": "#/components/schemas/FieldType",
                                            "customType": "FieldType",
                                            "schema": []
                                          },
                                          {
                                            "name": "source_id",
                                            "kind": "optional",
                                            "type": "string",
                                            "description": "Source ID of the field"
                                          },
                                          {
                                            "name": "source_metadata",
                                            "kind": "optional",
                                            "type": "string",
                                            "description": "Source metadata of the field"
                                          },
                                          {
                                            "name": "order_index",
                                            "kind": "optional",
                                            "type": "integer",
                                            "description": "Order index of the field"
                                          },
                                          {
                                            "name": "help_text",
                                            "kind": "optional",
                                            "type": "string",
                                            "description": "Helptext of the field"
                                          },
                                          {
                                            "name": "editor_metadata",
                                            "kind": "optional",
                                            "type": "object",
                                            "description": "Editor metadata of the field",
                                            "complexType": "anyOf",
                                            "complexItems": [],
                                            "schema": []
                                          }
                                        ]
                                      },
                                      {
                                        "name": "min_value",
                                        "kind": "optional",
                                        "type": "number",
                                        "description": "Minimum value of the field"
                                      },
                                      {
                                        "name": "max_value",
                                        "kind": "optional",
                                        "type": "number",
                                        "description": "Maximum value of the field"
                                      },
                                      {
                                        "name": "default_values",
                                        "kind": "optional",
                                        "type": "array",
                                        "description": "Default values of the field",
                                        "example": "",
                                        "itemType": "number",
                                        "customType": "number[]",
                                        "itemExample": "",
                                        "itemDefault": ""
                                      }
                                    ]
                                  }
                                ]
                              }
                            ],
                            "schema": []
                          },
                          {
                            "name": "thumbnail_guid",
                            "kind": "optional",
                            "type": "string",
                            "description": "Thumbnail GUID of the content type"
                          },
                          {
                            "name": "content_type_guid",
                            "kind": "required",
                            "type": "string",
                            "description": "Unique identifier of the content type"
                          },
                          {
                            "name": "created_by",
                            "kind": "required",
                            "type": "string",
                            "description": "Unique identifier of the user who created the content type"
                          },
                          {
                            "name": "updated_by",
                            "kind": "required",
                            "type": "string",
                            "description": "Unique identifier of the user who last updated the content type"
                          },
                          {
                            "name": "created_at",
                            "kind": "required",
                            "type": "string<date-time>",
                            "description": "<p>Date and time on which the content type was created, in ISO 8601 UTC format</p>",
                            "format": "date-time"
                          },
                          {
                            "name": "updated_at",
                            "kind": "required",
                            "type": "string<date-time>",
                            "description": "<p>Date and time on which the content type was last updated, in ISO 8601 UTC format</p>",
                            "format": "date-time"
                          },
                          {
                            "name": "source_id",
                            "kind": "optional",
                            "type": "string",
                            "description": "Source of the content type"
                          },
                          {
                            "name": "source_metadata",
                            "kind": "optional",
                            "type": "string",
                            "description": "Source metadata of the content type"
                          },
                          {
                            "name": "links",
                            "kind": "required",
                            "type": "object",
                            "description": "Meta links",
                            "example": "",
                            "schema": [
                              {
                                "name": "self",
                                "kind": "optional",
                                "type": "string",
                                "description": "URL of the content type",
                                "example": "https://api.cmp.optimizely.com/v3/structured-content/content-types/9fda53cf66a14fd487251480ca695c7b"
                              },
                              {
                                "name": "versions",
                                "kind": "optional",
                                "type": "string",
                                "description": "URL of the content type versions",
                                "example": "https://api.cmp.optimizely.com/v3/structured-content/content-types/9fda53cf66a14fd487251480ca695c7b/versions"
                              }
                            ]
                          }
                        ]
                      }
                    ],
                    "schema": []
                  },
                  {
                    "name": "links",
                    "kind": "required",
                    "type": "object",
                    "description": "Meta links",
                    "example": "",
                    "schema": [
                      {
                        "name": "self",
                        "kind": "required",
                        "type": "string",
                        "description": "URL of the content in the context of the task",
                        "example": "https://api.cmp.optimizely.com/v3/tasks/5f857f30e1c4a2038d6179e9/structured-contents/a24b834428a043ab8caed1ded4606f7d"
                      },
                      {
                        "name": "task",
                        "kind": "required",
                        "type": "string",
                        "description": "URL of the task the content belongs to",
                        "example": "https://api.cmp.optimizely.com/v3/tasks/5f857f30e1c4a2038d6179e9"
                      }
                    ]
                  }
                ]
              },
              {
                "name": "pagination",
                "kind": "required",
                "type": "object",
                "description": "<p>Pagination links. The <code>expanded</code> query parameter is carried over into <code>next</code> and <code>previous</code> when it is set to <code>true</code>.</p>",
                "complexType": "allOf",
                "complexItems": [
                  {
                    "name": "Pagination",
                    "description": "",
                    "modelRef": "#/components/schemas/Pagination",
                    "schema": [
                      {
                        "name": "next",
                        "kind": "required",
                        "type": "string",
                        "nullable": true,
                        "description": "URL to the next page",
                        "example": "https://api.cmp.optimizely.com/<some-path-to-next-page>?offset=10&page_size=10"
                      },
                      {
                        "name": "previous",
                        "kind": "required",
                        "type": "string",
                        "nullable": true,
                        "description": "URL to the previous page",
                        "example": ""
                      }
                    ]
                  },
                  {
                    "name": "object",
                    "description": "",
                    "schema": [
                      {
                        "name": "next",
                        "kind": "optional",
                        "type": "string",
                        "nullable": true,
                        "description": "",
                        "example": "https://api.cmp.optimizely.com/v3/tasks/5f857f30e1c4a2038d6179e9/structured-contents?offset=10&page_size=10"
                      }
                    ]
                  }
                ],
                "schema": []
              }
            ],
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "400",
        "description": "Client error",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "example": "{\"message\":\"Unsupported arguments: a,b,c\"}",
            "description": "Error payload",
            "customType": "Error",
            "schema": [
              {
                "name": "message",
                "kind": "required",
                "type": "string",
                "description": "Message describing the error",
                "example": "Not found"
              },
              {
                "name": "errors",
                "kind": "optional",
                "type": "map",
                "description": "Additional information",
                "example": "",
                "customType": "map<string, string>",
                "schema": []
              }
            ],
            "modelRef": "#/components/schemas/Error",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "401",
        "description": "Authorization error",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "example": "{\"message\":\"Unauthorized\"}",
            "description": "Error payload",
            "customType": "Error",
            "schema": [
              {
                "name": "message",
                "kind": "required",
                "type": "string",
                "description": "Message describing the error",
                "example": "Not found"
              },
              {
                "name": "errors",
                "kind": "optional",
                "type": "map",
                "description": "Additional information",
                "example": "",
                "customType": "map<string, string>",
                "schema": []
              }
            ],
            "modelRef": "#/components/schemas/Error",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "403",
        "description": "Permission error",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "example": "{\"message\":\"You do not have the permission to perform this operation\"}",
            "description": "Error payload",
            "customType": "Error",
            "schema": [
              {
                "name": "message",
                "kind": "required",
                "type": "string",
                "description": "Message describing the error",
                "example": "Not found"
              },
              {
                "name": "errors",
                "kind": "optional",
                "type": "map",
                "description": "Additional information",
                "example": "",
                "customType": "map<string, string>",
                "schema": []
              }
            ],
            "modelRef": "#/components/schemas/Error",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "404",
        "description": "Not found error",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "example": "{\"message\":\"Resource not found\"}",
            "description": "Error payload",
            "customType": "Error",
            "schema": [
              {
                "name": "message",
                "kind": "required",
                "type": "string",
                "description": "Message describing the error",
                "example": "Not found"
              },
              {
                "name": "errors",
                "kind": "optional",
                "type": "map",
                "description": "Additional information",
                "example": "",
                "customType": "map<string, string>",
                "schema": []
              }
            ],
            "modelRef": "#/components/schemas/Error",
            "isExpanded": true
          }
        ]
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "example-0-curl",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request GET \\\n     --url 'https://api.cmp.optimizely.com/v3/tasks/{task_id}/structured-contents?offset=5&page_size=10&expanded=boolean' \\\n     --header 'accept: application/json'"
        },
        {
          "id": "example-1-javascript",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\n\nvar requestOptions = {\n   method: 'GET',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://api.cmp.optimizely.com/v3/tasks/{task_id}/structured-contents?offset=5&page_size=10&expanded=boolean\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "example-2-ruby",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://api.cmp.optimizely.com/v3/tasks/{task_id}/structured-contents?offset=5&page_size=10&expanded=boolean\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Get.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "example-3-python",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://api.cmp.optimizely.com/v3/tasks/{task_id}/structured-contents?offset=5&page_size=10&expanded=boolean\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json'\n}\n\nresponse = requests.request(\"GET\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "example-0-curl"
    },
    "results": {
      "languages": [
        {
          "id": "response-0-200",
          "language": "200",
          "code": "// List of structured contents of the task\n{\n  \"data\": [\n    {\n      \"title\": \"\",\n      \"primary_locale\": \"en_US\",\n      \"expired\": false,\n      \"source\": \"\",\n      \"root_content\": false,\n      \"expiry_datetime\": \"\",\n      \"source_id\": \"\",\n      \"source_metadata\": \"\",\n      \"latest_fields_version\": {\n        \"fields\": \"\",\n        \"validation\": {},\n        \"created_by\": \"\",\n        \"source_id\": \"\",\n        \"source_metadata\": \"\",\n        \"created_at\": \"\",\n        \"version_guid\": \"\",\n        \"content_hash\": \"\"\n      },\n      \"content_guid\": \"\",\n      \"created_by\": \"\",\n      \"updated_by\": \"\",\n      \"created_at\": \"\",\n      \"updated_at\": \"\",\n      \"content_type_guid\": \"\",\n      \"content_type_name\": \"\",\n      \"content_type\": {},\n      \"links\": {\n        \"self\": \"https://api.cmp.optimizely.com/v3/tasks/5f857f30e1c4a2038d6179e9/structured-contents/a24b834428a043ab8caed1ded4606f7d\",\n        \"task\": \"https://api.cmp.optimizely.com/v3/tasks/5f857f30e1c4a2038d6179e9\"\n      }\n    }\n  ],\n  \"pagination\": {}\n}"
        },
        {
          "id": "response-1-400",
          "language": "400",
          "code": "// Client error\n{\n  \"message\": \"Not found\",\n  \"errors\": \"\"\n}"
        },
        {
          "id": "response-2-401",
          "language": "401",
          "code": "// Authorization error\n{\n  \"message\": \"Not found\",\n  \"errors\": \"\"\n}"
        },
        {
          "id": "response-3-403",
          "language": "403",
          "code": "// Permission error\n{\n  \"message\": \"Not found\",\n  \"errors\": \"\"\n}"
        },
        {
          "id": "response-4-404",
          "language": "404",
          "code": "// Not found error\n{\n  \"message\": \"Not found\",\n  \"errors\": \"\"\n}"
        }
      ],
      "selectedLanguageId": "response-0-200"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}